import "./tasks/spladder_EC.wdl" as spladder_EC


workflow {{ project_name }} {
    String sample_id
    File bam
    File pickle
    File merge_graphs
    File count_hdf5
    File reference_gtf_file
    File samples
    File merge_count_hdf5

    String event_types
    String spladder_docker
    String spladder_cluster
    String disk_size	

	call spladder_EC.spladder_EC as spladder_EC {
		input:
		reference_gtf_file=reference_gtf_file,
		sample_id=sample_id,
		bam=bam,
		pickle=pickle,
		merge_graphs=merge_graphs,
		count_hdf5=count_hdf5,
		samples=samples,
		merge_count_hdf5=merge_count_hdf5,
		event_types=event_types,
		spladder_docker=spladder_docker,
		spladder_cluster=spladder_cluster,
		disk_size=disk_size
	}
}